/*
 * jTunes
 *
 * Copyright (C) 2002-2003, Jordan Reed <reedjd@bitsmart.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package net.chaosserver.jtunes;

import net.chaosserver.jtunes.event.ApplicationStartEvent;
import net.chaosserver.jtunes.event.JTunesApplicationEventHandler;
import net.chaosserver.jtunes.macui.MacLauncher;
import net.chaosserver.jtunes.swingui.SwingJTunes;


/**
 * Main application file.  Determines the runtime environment
 * and sets up the application appropriately.
 *
 * @author Jordan Reed
 */
public class JTunes {
    /**
     * Executes the Swing Application.
     *
     * @param args the command line parameters.
     */
    public static void main(String[] args) {
        // Set properties for Macintosh
        System.setProperty(
            "com.apple.mrj.application.apple.menu.about.name", "jTunes");
        System.setProperty(
            "com.apple.mrj.application.growbox.intrudes", "false");

        JTunesApplicationEventHandler.create();

        if (System.getProperty("mrj.version") != null) {
            MacLauncher macLauncher = new MacLauncher();
            macLauncher.configure();
        }

        // always run the swing ui for now.
        SwingJTunes swingJTunes = new SwingJTunes();
        JTunesApplicationEventHandler.getInstance()
                                     .addJTunesApplicationEventListener(
            swingJTunes);

        JTunesApplicationEventHandler.getInstance().fireEvent(
            new ApplicationStartEvent());
    }
}
