/*
 * jTunes
 *
 * Copyright (C) 2002-2003, Jordan Reed <reedjd@bitsmart.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package net.chaosserver.jtunes.event;

import net.chaosserver.jtunes.playlist.PlayList;


/**
 * Event fired when a new playlist has been loaded.
 *
 * @author Jordan Reed
 */
public class PlayListLoadedEvent extends JTunesApplicationEvent {
    /** Holds the playlist that has been loaded. */
    protected PlayList playList;

    /**
     * Constructs a new PlayListLoadedEvent.
     *
     * @param playList the playlist that has been loaded
     */
    public PlayListLoadedEvent(PlayList playList) {
        this.playList = playList;
    }
}
