/*
 * jTunes
 *
 * Copyright (C) 2002-2003, Jordan Reed <reedjd@bitsmart.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package net.chaosserver.jtunes.macui;

import com.apple.eawt.ApplicationAdapter;
import com.apple.eawt.ApplicationEvent;

import net.chaosserver.jtunes.event.ApplicationQuitEvent;
import net.chaosserver.jtunes.event.JTunesApplicationEventHandler;


/**
 * Listener for OSX specific events on the system.
 *
 * @author Jordan Reed
 */
public class MacApplicationListener extends ApplicationAdapter {
    /**
     * Handles the quit operation by firing an ApplicationQuitEvent.
     *
     * @param evt a Quit Application event
     */
    public void handleQuit(ApplicationEvent evt) {
        System.out.println("handleQuit - " + evt);
        JTunesApplicationEventHandler.getInstance().fireEvent(
            new ApplicationQuitEvent());
    }

    /**
     * Handles an open file event.
     *
     * @param evt an Open Document event with reference to the file to be opened
     */
    public void handleOpenFile(ApplicationEvent evt) {
        System.out.println("handleOpenFile - " + evt);
    }

    /*
    public void handleAbout(ApplicationEvent evt) {
    }
    */
}
