/*
 * jTunes
 *
 * Copyright (C) 2002-2003, Jordan Reed <reedjd@bitsmart.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package net.chaosserver.jtunes.playlist.io;

import net.chaosserver.jtunes.playlist.PlayList;

import java.io.File;


/**
 * Manages the input/output of playlists.
 *
 * <p>
 * Currently a pass through the M3U manager.
 * </p>
 *
 * @author Jordan Reed
 */
public class PlayListManager {
    /**
     * Loads a playlist from the given file.
     *
     * @param playListFile file to load the playlist from
     * @return newly loaded playlist
     */
    public PlayList load(File playListFile) {
        M3uPlayListManager m3uPlayListManager = new M3uPlayListManager();

        return m3uPlayListManager.load(playListFile);
    }

    /**
     * Exports the playlist to the given file and copies all
     * songs in the playlist into the same directory.
     *
     * @param exportDirectory directory export the playlist to and
     *        move all the files into
     * @param playList playlist to export
     */
    public void export(File exportDirectory, PlayList playList) {
        M3uPlayListManager m3uPlayListManager = new M3uPlayListManager();
        m3uPlayListManager.export(exportDirectory, playList);
    }
}
