/*
 * jTunes
 *
 * Copyright (C) 2002-2003, Jordan Reed <reedjd@bitsmart.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package net.chaosserver.jtunes.swingui;

import java.awt.BorderLayout;
import java.awt.Canvas;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Toolkit;

import java.net.URL;

import javax.swing.JPanel;


/**
 * Displays the application Logo in a basic panel.
 *
 * @author Jordan Reed
 */
public class LogoPanel extends JPanel {
    /** Holds the logo canvas. */
    protected LogoCanvas logoCanvas;

    /**
     * Constructs a new logo panel.
     */
    public LogoPanel() {
        setLayout(new BorderLayout());
        logoCanvas = new LogoCanvas();
        add(logoCanvas);
    }

    /**
     * Sets the preferred size of the panel.
     *
     * @return prefered size of the panel.
     */
    public Dimension getPreferredSize() {
        // TOOD: There's gotta be some way to figure out the size of this image
        Dimension dimension = new Dimension(320, 240);

        return dimension;
    }

    /**
     * Internal canvas placed into panel to display picture.
     */
    protected class LogoCanvas extends Canvas {
        /** Holds the image for the logo. */
        protected Image logoImage;

        /**
         * Constructs the logo canvas.
         */
        public LogoCanvas() {
            URL logoURL =
                this.getClass().getResource(
                    "/net/chaosserver/jtunes/swingui/jTunesLogo.gif");
            logoImage = Toolkit.getDefaultToolkit().createImage(logoURL);
        }

        /**
         * Getter for the logoImage.
         *
         * @return the logoImage
         */
        public Image getLogoImage() {
            return this.logoImage;
        }

        /**
         * Paints the image on the graphics display.
         *
         * @param g the graphics context
         */
        public void paint(Graphics g) {
            g.drawImage(logoImage, 0, 0, this);
        }
    }
}
