/*
 * jTunes
 *
 * Copyright (C) 2002-2003, Jordan Reed <reedjd@bitsmart.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package net.chaosserver.jtunes.swingui.playlist;

import net.chaosserver.jtunes.playlist.PlayList;
import net.chaosserver.jtunes.playlist.PlayListEntry;

import java.awt.BorderLayout;
import java.awt.GridLayout;

import java.util.Iterator;
import java.util.List;

import javax.swing.JLabel;
import javax.swing.JPanel;


/**
 * Basic JPanel that displays the contents of a playlist.
 *
 * @author Jordan Reed
 */
public class PlayListPanel extends JPanel {
    /** Holds the playlist being displayed. */
    protected PlayList playList;

    /**
     * Constructs the panel.
     *
     * @param playList the playList to display
     */
    public PlayListPanel(PlayList playList) {
        this.playList = playList;

        setLayout(new BorderLayout());

        JPanel innerPanel = new JPanel();

        GridLayout gridLayout = new GridLayout(playList.size(), 1);
        innerPanel.setLayout(gridLayout);

        List playListEntries = playList.getPlayListEntries();
        Iterator playListEntryIterator = playListEntries.iterator();

        while (playListEntryIterator.hasNext()) {
            PlayListEntry playListEntry =
                (PlayListEntry) playListEntryIterator.next();
            JLabel label = new JLabel(playListEntry.getRelativePath());
            innerPanel.add(label);
        }

        add(innerPanel, BorderLayout.NORTH);
    }
}
